# "taker\_side\_sell" Explained

For Centralized Exchange(CEX) `taker_side_sell` takes the value of `true` when a taker's sell order fills a maker's buy order and `false` when a taker's buy order fills a maker's sell order.

For Decentralized Exchanges (DEX) using Automatic Market Maker (AMM) protocols, the liquidity pool contract is considered the maker. The entity executing a transaction against the liquidity pool is the taker.

**If an exchange does not appear below, it can be assumed that all data we provide is normalized correctly.**&#x20;

For exchanges where we were unable to confirm as reporting data from either a taker or a maker's perspective, we have included the notation mapping from the exchange's trade direction field to our `taker_side_sell` field. This is necessary so that researchers who want to further study trade direction can make their own conclusions. For exchanges that classify trade direction differently or exclude the field entirely, we also include the notation mapping and a short explanation for how their variable differs.

Furthermore, there are some trades of the Australian Exchange `Independent Reserve`, where we cannot decide if it is the taker buy or taker sell. As such, it is the only exchange that has 3 values, which are `true`, `false` and `unknown`, in the field `taker_side_sell`.

Finally, we have made a couple of errors in classifying exchanges as "maker" or "taker", typically early on in the process of developing `taker_side_sell`. Rather than switch our trade reporting after years of data collection, we have simply marked exchanges where the inverse of the notation stated should be applied. For these exchanges, researchers should be aware that when `taker_side_sell: false`, the inverse should be assumed.

**Unconfirmed, Misclassified or Absent Trade Direction Field**

<table data-header-hidden><thead><tr><th width="223"></th><th width="257"></th><th></th><th></th></tr></thead><tbody><tr><td>Exchange</td><td>Exchange Notation</td><td>Kaiko <code>taker_side_sell: true</code> equivalent to:</td><td>Comment</td></tr><tr><td>BTCBox</td><td><code>"type":</code> <code>"buy" or "sell"</code></td><td><strong>inverse notation</strong>: <code>"type": "sell"</code></td><td>Inverse, but confirmed perspective from exchange.</td></tr><tr><td>Liquid (Quoine)</td><td><code>taker_side:</code> <code>"buy" or "sell"</code></td><td><strong>inverse notation</strong>: <code>taker_side: "buy"</code></td><td>Inverse, but confirmed perspective from exchange.</td></tr><tr><td>Bithumb</td><td><code>"type":</code> <code>"bid" or "ask"</code></td><td><strong>inverse notation</strong>: <code>"type": "bid"</code></td><td>Inverse, but confirmed perspective from exchange.</td></tr><tr><td>Coinone</td><td><code>"is_ask":</code> <code>"0"(if seller is taker)/"1"(if seller is maker)</code></td><td><strong>inverse notation</strong>: <code>"is_ask": "1"</code></td><td>Inverse, confirmed from exchange but slightly different notation format</td></tr><tr><td>Bitstamp</td><td><code>type:</code> <code>0 (buy) or 1 (sell)</code></td><td><code>type: 1</code></td><td>Unconfirmed perspective from exchange</td></tr><tr><td>Bit-Z</td><td><code>"s":</code> <code>"buy" or "sell"</code></td><td><code>"s": "sell"</code></td><td>Unconfirmed perspective from exchange</td></tr><tr><td>EXX</td><td><code>type":</code> <code>"buy" or "sell"</code></td><td><code>type: "sell"</code></td><td>Unconfirmed perspective from exchange</td></tr><tr><td>CEX.io</td><td><code>type:</code> <code>"buy" or "sell"</code></td><td><code>type: "sell"</code></td><td>Unconfirmed perspective from exchange</td></tr><tr><td>Yobit</td><td><code>"type":</code> <code>"bid" or "ask"</code></td><td><code>"type": "bid"</code></td><td>Unconfirmed perspective from exchange</td></tr><tr><td>itBit</td><td>None</td><td>Always returns <code>true</code></td><td>No buy/sell field</td></tr><tr><td>Korbit</td><td>None</td><td>Always returns <code>null</code></td><td>No buy/sell field</td></tr><tr><td>Coinflex</td><td>None</td><td>Always returns <code>null</code></td><td>No buy/sell field</td></tr><tr><td>Independent Reserve</td><td><code>"Side":</code> <code>"Buy"</code> or <code>"Sell"</code></td><td><code>"Side": "Sell"</code></td><td>Some trades have <code>"Unknown"</code></td></tr><tr><td>AsiaNext</td><td>None</td><td>Always returns <code>false</code></td><td>No buy/sell field provided</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/rest-api/general/getting-started/api-output/taker_side_sell-explained.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
